Subject: Re: [DUG]: Class Problem
From: "vss" <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Tue, 13 Nov 2001 10:01:21 +1300

ah...hmmm...how much ? I thought I had enough there and had enough 
detail....hmmmm....let me know how much more you need or need to see.

Jeremy

-----Original Message-----
From: "Neven MacEwan" <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Tue, 13 Nov 2001 09:40:51 +1300
Subject: Re: [DUG]:  Class Problem

> J
> 
> Pls post more code
> 
> Neven
> 
> ----- Original Message -----
> From: "Jeremy Coulter" <[email-masked]>
> To: "Multiple recipients of list delphi" <[email-masked]>
> Sent: Monday, November 12, 2001 8:56 PM
> Subject: [DUG]: Class Problem
> 
> 
> > Hi all.
> >
> > I have a component and within the same components unit I have a class
> also.
> >
> > The component creates the class in the create event of the component,
> and
> > the class references the componet.
> >
> > I.e.
> >
> >     fMyClass : = TMyClass.create(self);
> >
> > In the create event of the class I have
> >
> > constructor TMyClass.Create(AOwner : TMyComponent);
> > begin
> >   inherited create;
> >
> >   fOwner :=AOwner;
> >   showmessage(inttostr(fOwner.componentindex));
> > end;
> >
> > (fOwner is declared as of type TMyComponent in the private section
> BTW)
> >
> > Now the showmessage returns the components index fine, BUT, If I call
> > another procedure that has
> > "showmessage(inttostr(fOwner.componentindex));" in it, I get an
> access
> > violation !
> >
> > It is surely something I am doing wrong, but I cant understand what.
> > Can someone give me a hint as to what MIGHT be happening or a hint to
> what
> I
> > have forgotten to do ?
> >
> > Cheers, Jeremy Coulter
> >
> >
> >
> >
> 
> -----------------------------------------------------------------------
> ----
>     New Zealand Delphi Users group - Delphi List - [email-masked]
>                   Website: http://www.delphi.org.nz
> To UnSub, send email to: [email-masked] 
> with body of "unsubscribe delphi"
> Web Archive at: http://www.mail-archive.com/delphi%40delphi.org.nz/

---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked] 
with body of "unsubscribe delphi"
Web Archive at: http://www.mail-archive.com/delphi%40delphi.org.nz/